Adding needed repository....................................Failed!



  • Hi guys,

    Installing a brand new FOG server on a Ubuntu 18.04 server, from scratch.

    I have nothing on the server other than Ubuntu, open-vm-tools, and git.

    I downloaded the Fog installer with git, and went through the installation process. I get this result:

     * Here are the settings FOG will use:
     * Base Linux: Debian
     * Detected Linux Distribution: Ubuntu
     * Server IP Address: 192.168.7.21
     * Server Subnet Mask: 255.255.255.0
     * Interface: ens160
     * Installation Type: Normal Server
     * Internationalization: 0
     * Image Storage Location: /images
     * Using FOG DHCP: No
     * DHCP will NOT be setup but you must setup your
     | current DHCP server to use FOG for PXE services.
    
     * On a Linux DHCP server you must set: next-server and filename
    
     * On a Windows DHCP server you must set options 066 and 067
    
     * Option 066/next-server is the IP of the FOG Server: (e.g. 192.168.7.21)
     * Option 067/filename is the bootfile: (e.g. undionly.kpxe)
    
    
     * Are you sure you wish to continue (Y/N) y
    
     * Installation Started
    
     * Installing required packages, if this fails
     | make sure you have an active internet connection.
    
     * Adding needed repository....................................Failed!
    

    Can anyone point me in the right direction to figure out what is causing this?

    Thanks in advance.


  • Developer

    @mig39 I am wondering which version of FOG are you trying to install? I remember we had this issue long time ago and the current installer should install those packages for you - see here!

    The line numbers we see in the error messages above don’t match those in the current scripts. So I am fairly sure you are not using the latest FOG version 1.5.5!?



  • Replying to myself :-) in case anyone else has the same issue.

    error log has this:

    ../lib/common/functions.sh: line 535: ntpdate: command not found
    Generating locales (this might take a while)...
      en_US.UTF-8... done
    Generation complete.
    ../lib/common/functions.sh: line 539: add-apt-repository: command not found
    

    On a bare, minimal install Ubuntu 18.04 server, you need to install software-properties-common and ntpdate.

    So…

    apt install -y software-properties-common ntpdate
    

    seems to fix those errors.


Log in to reply
 

406
Online

5.8k
Users

13.1k
Topics

123.3k
Posts